Bug 153018 - liferea shows old feeds as new/unread
liferea shows old feeds as new/unread
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 17:30 EST by Lars G
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 14:00:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lars G 2005-03-31 17:30:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
when updating feeds, liferea shows a lot of old news as new/unread.

this does not happen with all feeds i have, but one i see this always is
http://www.heise.de/security/news/news.rdf
maybe someone has seen this strange behavior too.

this is with latest rawhide



Version-Release number of selected component (if applicable):
liferea-0.9.1-1

How reproducible:
Always

Steps to Reproduce:
add feed, eg. http://www.heise.de/security/news/news.rdf for testing
update news
read them
close liferea
update again, they re-appear as new ones


Additional info:
Comment 1 Brian Pepple 2005-03-31 18:28:42 EST
I've tried reproducing this with the feed you've provided, but thus far have
been unable to.  Are there any other feeds your experiencing this with?
Comment 2 Lars G 2005-03-31 19:14:03 EST
yes, same here with 
http://www.anandtech.com/rss/newsfeed.aspx
and 
http://fedoraproject.org/people/rss10.xml (and rss20 version)

already deleted the .liferea cache, but no go.

http://feedvalidator.org/check.cgi?url=http://www.anandtech.com/rss/newsfeed.aspx
says this feed is ok.
but
http://feedvalidator.org/check.cgi?url=http%3A%2F%2Ffedoraproject.org%2Fpeople%2Frss10.xml
tells there are errors.

from the liferea faq:
"Why do feed items keep being displayed as new?
...
Note that this may also be caused when you switch between different locales.
Liferea currently stores locale specific cache contents. After switching to
another locale the cache contents seems to be updated. This will be fixed with
the next releases."

maybe this has something todo with that i'm in the german timezone?
if the problem persists, it's better to report it upstream i guess.

Comment 3 Lars G 2005-04-01 14:00:56 EST
as more and more feeds went crazy i deinstalled it, 
cleaned all traces (.lifera dir plus gconf keys) and reinstalled. 
somehow it behaves now ok (!) for me, so i close this report.

best
lars


Note You need to log in before you can comment on or make changes to this bug.